# Uses of Class
de.geolykt.starloader.mod.DiscoveredExtension.ExternalRepository

Packages that use DiscoveredExtension.ExternalRepository
Package
Description
de.geolykt.starloader.mod
Package for all Extension-related stuff.

## Uses of DiscoveredExtension.ExternalRepository in de.geolykt.starloader.mod

Methods in de.geolykt.starloader.mod that return types with arguments of type DiscoveredExtension.ExternalRepository
Modifier and Type
Method
Description
`@NotNull Collection<DiscoveredExtension.ExternalRepository>`
DiscoveredExtension.ExternalDependencies.`getRepositories()`
Constructor parameters in de.geolykt.starloader.mod with type arguments of type DiscoveredExtension.ExternalRepository
Modifier
Constructor
Description
``
`ExternalDependencies(@NotNull List<DiscoveredExtension.ExternalRepository> repositories, @NotNull List<DiscoveredExtension.ExternalDependencyArtifact> artifacts)`